Subject: Re: [PATCH v28 2/2] status: add status.compareBranches config for multiple branch comparisons

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Feb 2026 07:44:56 -0800

Harald Nordgren <[email-masked]> writes:

>>> So what about this. We add a config option that takes a list of items to
>>> compare against. But it _only_ supports @{upstream} and @{push} for now,
>>> and interprets them as branch@{upstream} and branch@{push} (but probably
>>> done manually, not via dwim_ref). That limitation gets documented.
>>
>> Sounds like a good way forward.
>
> So if I do these changes, are we ready to merge then?

I do not think of other things that needs to be done to the design
at this moment.  It of course does not give any guarantee that
others won't find flaws in what we have discussed so far, though ;-)

> I worked on this feature for 2 months, and then it got marked as stale
> instead of being merged. Will this time be different?

A topic becoming stalled is something the original author can (and
has the primary responsibility to) avoid by keeping the discussion
thread alive by responding to reviews, pinging the thread with
comments similar to "now I think this one is done, all comments are
addressed by either updating the code or replying why we would not
want to go there (which the reviewer who made the comment hasn't
responded yet, so the ball is in their court)", etc.  Even though I
try to help keep the ball rolling by pinging discussion threads that
smell about to go stalled from time to time, I cannot guarantee that
it would not happen again.   But you can help ;-).

Thanks for working on this topic.